version: '3.1'

services:

 # mdss-db:
 #   build:
 #     context: ./mysql
 #     dockerfile: $PWD/mysql/Dockerfile
 #   restart: always
 #   env_file:
 #     - ./mysql/mysql_db.env
 #   ports:
 #     - $MYSQL_HOST_PORT:3306

  webserver:
    build:
      context: ./tomcat
      dockerfile: $PWD/tomcat/Dockerfile
      # args:
      #   username: $GITLAB_USERNAME
      #   password: $GITLAB_PASSWORD
    restart: always
    # command: dockerize -wait tcp://mdss-db:3306 -timeout 60m catalina.sh run
    volumes:
      - ./tomcat/TomcatTestAppLogs:/usr/local/tomcat/logs
    ports:
      - 7112:8080
#    links:
#      - mdss-db
#    depends_on:
#      - mdss-db

  #adminer:
  #  image: adminer
  #  restart: always
  #  ports:
  #    - $ADMINER_HOST_PORT:8080
  #  depends_on:
  #    - mdss-db
